aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/function
diff options
context:
space:
mode:
authorTomas Alexy <tomas.alexy@pantheon.tech>2021-04-26 17:34:28 +0200
committerPeter Mikus <pmikus@cisco.com>2021-04-27 06:54:34 +0000
commit425a606f9adb93da33a9ce861d0aa09e8c6b0526 (patch)
tree3faa8076e51dafa37cce1ee2d875def0a0d7514a /resources/libraries/bash/function
parent793aa6541012b1e1522b4d3b8a88546558fb22be (diff)
Infra: AWS - add CSIT parameters to bootstrap
Signed-off-by: Tomas Alexy <tomas.alexy@pantheon.tech> Change-Id: I41b5905bcaab303a74d9985283e469922e5fba94
Diffstat (limited to 'resources/libraries/bash/function')
-rw-r--r--resources/libraries/bash/function/common.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh
index 54a013eeb3..ec95f9227c 100644
--- a/resources/libraries/bash/function/common.sh
+++ b/resources/libraries/bash/function/common.sh
@@ -1138,6 +1138,31 @@ function select_vpp_device_tags () {
done
}
+
+function set_environment_variables () {
+
+ # Depending on testbed topology, overwrite defaults set in the
+ # resources/libraries/python/Constants.py file
+ #
+ # Variables read:
+ # - TEST_CODE - String affecting test selection, usually jenkins job name.
+ # Variables set:
+ # See specific cases
+
+ set -exuo pipefail
+
+ case "${TEST_CODE}" in
+ *"2n-aws"* | *"3n-aws"*)
+ # T-Rex 2.88 workaround for ENA NICs
+ export TREX_RX_DESCRIPTORS_COUNT=1024
+ export TREX_EXTRA_CMDLINE="--mbuf-factor 19"
+ # Settings to prevent duration stretching
+ export PERF_TRIAL_STL_DELAY=0.1
+ ;;
+ esac
+}
+
+
function untrap_and_unreserve_testbed () {
# Use this as a trap function to ensure testbed does not remain reserved.